Package com.logicaldoc.core.task

# Class TaskManager

java.lang.Object
com.logicaldoc.core.task.TaskManager

@Component("taskManager") public class TaskManager extends Object
A manager that collects all operations about tasks.

Important: Only tasks defined in the Task extension point will be considered

Since:
  3.5.0
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`TaskManager()`

## Method Summary

Modifier and Type
Method
Description
`Collection<Task>`
`getTasks()`
Retrieves the collection of all defined tasks: the ones enlisted in the Task extension point.
`void`
`stop()`
Stops all tasks and waits for them

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaskManager

public TaskManager()

## Method Details

### getTasks

public Collection<Task> getTasks()
Retrieves the collection of all defined tasks: the ones enlisted in the Task extension point.

Returns:
  collection of tasks

### stop

public void stop()
Stops all tasks and waits for them